SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Aggiornamenti non proposti da synaptic
#1
Sto sulla Mint Mate 19.1
Oggi ho installato Virtualbox 6.0 a partire dai PPA, perche' i repositori ufficiali contengono solo la VB 5,xx.
Dando sudo apt update alla fine mi dice che ci sono 38 pacchetti aggiornabili, che posso vedere col comando apt list --upgradable che riporto qui sotto:

Codice:
dan@dan:~$ sudo apt update
Ignorato:1 http://mirrors.evowise.com/linuxmint/packages tessa InRelease
Trovato:2 http://mirrors.evowise.com/linuxmint/packages tessa Release          
Scaricamento di:3 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Trovato:4 http://archive.ubuntu.com/ubuntu bionic InRelease                    
Trovato:6 http://archive.canonical.com/ubuntu bionic InRelease                
Ignorato:7 http://dl.google.com/linux/chrome/deb stable InRelease              
Trovato:8 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease            
Trovato:9 http://ppa.launchpad.net/alessandro-strada/ppa/ubuntu bionic InRelease
Trovato:10 http://archive.ubuntu.com/ubuntu bionic-updates InRelease          
Scaricamento di:11 http://download.virtualbox.org/virtualbox/debian bionic InRelease [4.432 B]
Scaricamento di:12 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]
Trovato:13 http://dl.google.com/linux/chrome/deb stable Release                
Trovato:14 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic InRelease
Trovato:15 http://ppa.launchpad.net/gezakovacs/ppa/ubuntu bionic InRelease    
Trovato:16 http://ppa.launchpad.net/libreoffice/ppa/ubuntu bionic InRelease  
Trovato:17 http://ppa.launchpad.net/mkusb/ppa/ubuntu bionic InRelease
Scaricamento di:19 http://download.virtualbox.org/virtualbox/debian bionic/contrib amd64 Packages [1.663 B]
Recuperati 169 kB in 1s (136 kB/s)    
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
38 pacchetti possono essere aggiornati: eseguire "apt list --upgradable" per vederli.
dan@dan:~$ apt list --upgradable
Elencazione... Fatto
grub-common/bionic-updates 2.02-2ubuntu8.12 amd64 [aggiornabile da: 2.02-2ubuntu8.1]
grub-pc/bionic-updates 2.02-2ubuntu8.12 amd64 [aggiornabile da: 2.02-2ubuntu8.1]
grub-pc-bin/bionic-updates 2.02-2ubuntu8.12 amd64 [aggiornabile da: 2.02-2ubuntu8.1]
grub2-common/bionic-updates 2.02-2ubuntu8.12 amd64 [aggiornabile da: 2.02-2ubuntu8.1]
indicator-application/bionic-updates 12.10.1+18.04.20190308.1-0ubuntu1 amd64 [aggiornabile da: 12.10.1+17.04.20161201-0ubuntu1]
libegl-mesa0/bionic-updates 18.2.8-0ubuntu0~18.04.2 amd64 [aggiornabile da: 18.0.5-0ubuntu0~18.04.1]
libegl1-mesa/bionic-updates 18.2.8-0ubuntu0~18.04.2 amd64 [aggiornabile da: 18.0.5-0ubuntu0~18.04.1]
libgbm1/bionic-updates 18.2.8-0ubuntu0~18.04.2 amd64 [aggiornabile da: 18.0.5-0ubuntu0~18.04.1]
libgl1-mesa-dri/bionic-updates 18.2.8-0ubuntu0~18.04.2 i386 [aggiornabile da: 18.0.5-0ubuntu0~18.04.1]
libgl1-mesa-glx/bionic-updates 18.2.8-0ubuntu0~18.04.2 i386 [aggiornabile da: 18.0.5-0ubuntu0~18.04.1]
libglapi-mesa/bionic-updates 18.2.8-0ubuntu0~18.04.2 i386 [aggiornabile da: 18.0.5-0ubuntu0~18.04.1]
libgles2-mesa/bionic-updates 18.2.8-0ubuntu0~18.04.2 amd64 [aggiornabile da: 18.0.5-0ubuntu0~18.04.1]
libglx-mesa0/bionic-updates 18.2.8-0ubuntu0~18.04.2 amd64 [aggiornabile da: 18.0.5-0ubuntu0~18.04.1]
libnss-myhostname/bionic-updates 237-3ubuntu10.15 amd64 [aggiornabile da: 237-3ubuntu10.13]
libnss-systemd/bionic-updates 237-3ubuntu10.15 amd64 [aggiornabile da: 237-3ubuntu10.13]
libosmesa6/bionic-updates 18.2.8-0ubuntu0~18.04.2 amd64 [aggiornabile da: 18.0.5-0ubuntu0~18.04.1]
libpam-systemd/bionic-updates 237-3ubuntu10.15 amd64 [aggiornabile da: 237-3ubuntu10.13]
libsystemd0/bionic-updates 237-3ubuntu10.15 amd64 [aggiornabile da: 237-3ubuntu10.13]
libudev1/bionic-updates 237-3ubuntu10.15 amd64 [aggiornabile da: 237-3ubuntu10.13]
libwayland-egl1-mesa/bionic-updates 18.2.8-0ubuntu0~18.04.2 amd64 [aggiornabile da: 18.2.2-0ubuntu1~18.04.2]
libxatracker2/bionic-updates 18.2.8-0ubuntu0~18.04.2 amd64 [aggiornabile da: 18.0.5-0ubuntu0~18.04.1]
linux-libc-dev/bionic-updates,bionic-security 4.15.0-46.49 amd64 [aggiornabile da: 4.15.0-32.35]
systemd/bionic-updates 237-3ubuntu10.15 amd64 [aggiornabile da: 237-3ubuntu10.13]
systemd-sysv/bionic-updates 237-3ubuntu10.15 amd64 [aggiornabile da: 237-3ubuntu10.13]
ubuntu-drivers-common/bionic-updates 1:0.5.2.2 amd64 [aggiornabile da: 1:0.5.2]
udev/bionic-updates 237-3ubuntu10.15 amd64 [aggiornabile da: 237-3ubuntu10.13]
x11-common/bionic-updates,bionic-updates 1:7.7+19ubuntu7.1 all [aggiornabile da: 1:7.7+19ubuntu7]
xorg/bionic-updates 1:7.7+19ubuntu7.1 amd64 [aggiornabile da: 1:7.7+19ubuntu7]
xserver-xorg/bionic-updates 1:7.7+19ubuntu7.1 amd64 [aggiornabile da: 1:7.7+19ubuntu7]
xserver-xorg-input-all/bionic-updates 1:7.7+19ubuntu7.1 amd64 [aggiornabile da: 1:7.7+19ubuntu7]
xserver-xorg-video-all/bionic-updates 1:7.7+19ubuntu7.1 amd64 [aggiornabile da: 1:7.7+19ubuntu7]
dan@dan:~$

Ho controllato il 1° e l'ultimo su Synaptic, ed effettivamente risulta che la versione installata ha un aggiornamento, ma se faccio la procedura di aggiornamento, Synaptic non me li propone.
Come Mai?
Che debbo fare?
Cita messaggio
Grazie da:
#2
A partire dalla 16.04, ubuntu (e derivate) si è in parte "sganciato" dalla metodica di aggiornamento di Debian (da cui deriva).
Infatti, ora, per gli aggiornamenti bisogna usare "apt" e non "apt-get" (tipico di Synaptic).

Nota bene che Synaptic va ancora benissimo per l'installazione di qualsiasi pacchetto, ma per quanto riguarda aggiornamenti cruciali di sistema, otterrai risposte che potrebbero essere differenti se usi "apt" oppure "apt-get". (vedi il tuo caso)

Quello che devi seguire è l'aggiornamento effettuato con
Codice:
sudo apt update
Cita messaggio
Grazie da:
#3
Grazie per la tua risposta, ma c'è qualcosa che non va.

Ho dato   sudo apt update   ma ho ottenuto la stessa lista postata sopra (a parte un pacchetto che nel frattempo ho aggiornato con Synaptic).

Poi ho provato a dare   sudo apt-get update   dal cui risultato non ho capito se aveva aggiornato i pacchetti.
Al che ho controllato ridando apt list --upgradable  e mi sono riusciti fuori i 37 pacchetti ancora da aggiornare.

Mi sono salvato il terminale, ma è inutile che lo stia a riportare.
Cita messaggio
Grazie da:
#4
Sempre apt per gli update con le distro dalla 16.04 in poi. E non farli con Synaptic.
Se vuoi usare la GUI usa Aggiornamenti Software della distro.

C'è chi si è incasinato il sistema facendo il mix fra apt e apt-get
Cita messaggio
Grazie da:
#5
Il Gestore Aggiornamenti mi dice che il sistema è aggiornato e non mi segnala quei 37 mancanti, che pero' si intravedono in Synaptic quando installo un nuovo pacchetto, perche' mi dice n.... pacchetti non saranno aggiornati
Cita messaggio
Grazie da:
#6
Stai constatando le differenze fra apt e apt-get.

I repo di ubuntu e di debian non sono più sincronizzati. Ignora quanto dice Synaptic sui pacchetti che non aggiornerà. Va bene che non li aggiorni.

Non saprei dirti come si originano queste differenze, tieni presente, comunque, che Synaptic non è previsto nell'installazione di base di Ubuntu - se ce l'hai è perché lo hai installato tu. È deprecato da utilizzare per effettuare aggiornamenti.

Avrebbero dovuto pubblicizzare di più questo "dettaglio" all'introduzione della 16.04.
Sono parecchi che usano ancora Synaptic per effettuare aggiornamenti.
Cita messaggio
Grazie da:
#7
(26-03-2019,13:15 )andrea111 Ha scritto: ...Synaptic non è previsto nell'installazione di base di Ubuntu - se ce l'hai è perché lo hai installato tu. È deprecato da utilizzare per effettuare aggiornamenti...

Veramente, come ho detto in apertura,  sto sulla Mint Mate 19.1, e qui Synaptic è preistallato.
In quanto al deprecato, in Pclos è (l'unico?) strumento per gli aggiornamenti.

Ma resta che sudo apt update mi dice "38 pacchetti possono essere aggiornati: eseguire "apt list --upgradable" per vederli", ma non mi dice come.
E tu, nonostante la tua perorazione, dici che Synaptic fa bene a non aggiornarli.
Sono d'accordo che la contraddizione è vitale, ma tu scoppi di vita!
Cita messaggio
Grazie da:
#8
Forse non ci capiamo.
con
Codice:
sudo apt update
aggiorni il database degli pacchetti.
Con
Codice:
sudo apt upgrade
esegui l'aggiornamento. (era questo che cercavi?)
Con
Codice:
apt list --upgradable
ti mostra semplicemente i pacchetti da aggiornare.
Anche con upgrade, prima di avviare l'aggiornamento (di cui chiede conferma), ti mostra i pacchetti che andrà ad aggiornare.
Cita messaggio
Grazie da:
#9
Si, forse non ci capiamo.

Nel tuo primo post parli della differenza tra apt e apt-get, sempre update. Ora spunta un apt upgrade (sì è quello che cercavo, grazie).
Mi permetti di essere un po' confuso?

Comunque ho trovato https://wiki.ubuntu-it.org/Amministrazio...grammi/Apt  che conferma quanto dicevi  "A partire da Ubuntu 16.04 LTS è consigliato l'utilizzo del comando apt in luogo di apt-get." "...anche se è sempre possibile utilizzare quest'ultimo comando". E, a proposito non menziona rischi nell'uso di entrambi.

Così confortato ho aggiornato col tuo comando i pacchetti in discussione, a parte uno del grub, per il quale la procedura mi ha avvertito che avrebbe cambiato le mie impostazioni, per cui mi sono tenuto quello "locale".
Ti ringrazio per la tua disponobilità.
Cita messaggio
Grazie da:
#10
L'origine dell'incomprensione sta nel fatto che i comandi "update" e "upgrade" sono talmente legati uno all'altro che davo per scontato che conoscendone uno non potessi ignorare l'altro.
Per cui continuavo a non capire le tue osservazioni, in effetti sono i primi (e più frequenti) comandi che si imparano (e si usano) quando si comincia ad usare il terminale, seguiti a ruota dal "sudo update-grub".
Comunque, alla fine, ne siamo venuti a capo.
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)